Subject: [homenet] Router movement handling in draft-arkko-homenet-prefix-assignment-01.txt

From: Jyrki Soini <[email-masked]>
Date: Wed, 02 Nov 2011 15:20:09 +0200

I read the new version draft-arkko-homenet-prefix-assignment-01.txt
and like the approach.
However I have a question on how the router movement is to be handled.

For instance initial the topology:

                                    CE router
                                       |
                                       P0
                        R1 +-----------+------------+ R2
                         |                             |
                        P1                            P2
                         |
                        R3

and after the move of R3

                                    CE router
                                       |
                                       P0
                        R1 +-----------+------------+ R2
                         |                             |
                        P1                            P2
                                                       (
                                                      R3

After movement R3 has the stored previously assigned prefix P1 for the 
interface but it also learns the P2 prefix from router R2. P3 has the 
numerically highest OSPFv3 router ID of all routers and therefore 
decides the prefix to be used on the link.

 From the rules I tend to believe R3 would learn and start using P2, if 
it is booting up after movement.

BUT: How is the movement detected in case there has been switches 
between the routers and no router is booted nor even any interface 
status has gone down? Would R3 insist on using P1 on the link even 
though it is also assigned by R1 on its interface?
And in that case, what would happen to the link on R1 where P1 is also 
assigned?

Should the prefix assignment be considered each time a OSPFv3 neighbor 
change is detected?

--
Jyrki